Subject: bug#35902: Guix resets passwords on reconfigure

From: Gábor Boskovits <[email-masked]>
Date: Mon, 27 May 2019 08:38:59 +0200

Hello,

Marius Bakke <[email-masked]> ezt írta (időpont: 2019. máj. 26., Vas
9:39):

> Marlon <[email-masked]> writes:
>
> > My user and root passwords have been reset about 3 times in 4 days upon
> running guix system reconfigure.
> >
> > I can't seem to recognize any pattern, it appears to occur randomly, and
> it requires setting passwords manually.
> >
> > The password is left blank, and could be a security issue, as anybody
> would be able to access the root account easily.
>
I have also noticed this once, but could not reproduce it since then. This
happened to me not too much after the 1.0.1 release, on a vm with 512 mb
ram. I later cleared up that machine, as it was too small. So in my case it
was either a sporadic thing, a specific commit from guix pull fixed later,
or a not obvious out of memory. Wdyt?

>
> This sounds really odd.  Can you share your system configuration?
>
> Do you manage users outside of the Guix configuration system by any
> chance?  Or can you reproduce it by simply invoking `guix system
> reconfigure` enough times?
>
Best regards,
g_bor